import { config } from "dotenv";
import { drizzle } from "drizzle-orm/node-postgres";
import { migrate } from "drizzle-orm/node-postgres/migrator";
import { Pool } from "pg";
import { resolve, dirname } from "path";
import { fileURLToPath } from "url";

config({
  path: resolve(dirname(fileURLToPath(import.meta.url)), "../../../.env"),
});

const pool = new Pool({ connectionString: process.env["DATABASE_URL"]! });
const db = drizzle(pool);

console.log("starting database migrations...");

await migrate(db, {
  migrationsFolder: resolve(
    dirname(fileURLToPath(import.meta.url)),
    "../../drizzle",
  ),
});

await pool.end();
console.log("database migrations complete.");
